# 1 "opt.S"
 



























 












# 1 "../include/pthread/config.h" 1
 


























 



































































# 42 "opt.S" 2

# 1 "../include/../src/config_internals.h" 1
 


























 




























































# 43 "opt.S" 2

























# 1 "../include/pthread/unistd.h" 1
 








































# 61 "../include/pthread/unistd.h"























# 68 "opt.S" 2

# 1 "offsets.h" 1
 









































# 69 "opt.S" 2

# 1 "../include/pthread/asm.h" 1
 






























 








 










 




 


 










 






















 
















# 70 "opt.S" 2











# 164 "opt.S"


# 276 "opt.S"


# 315 "opt.S"



# 1 "sco/cerror.S" 1
 































# 42 "sco/cerror.S"



# 54 "sco/cerror.S"





# 72 "sco/cerror.S"


# 87 "sco/cerror.S"


	.globl	errno
# 318 "opt.S" 2

# 1 "sco/sigaction.S" 1
 



























	.globl	pthread_sigaction
pthread_sigaction:
	movl	$0x2728,%eax

	pushl	%ebx
	call	.L32
.L32:
	popl	%ebx
	addl	$_GLOBAL_OFFSET_TABLE_+[.-.L32],%ebx
	movl	pthread_sigreturn@GOT(%ebx),%edx
	popl	%ebx



        lcall   $7, $0
	jae	.L33
	pushl %ebx; call $+5; 2: popl %ebx; addl $_GLOBAL_OFFSET_TABLE_+[.-2b], %ebx; movl errno@GOT(%ebx), %edx; movl %eax, (%edx); movl $-1,%eax; popl %ebx 
	ret
.L33:
	xorl	%eax, %eax
	ret
        1: ; .type  pthread_sigaction ,@function ; .size  pthread_sigaction ,1b -  pthread_sigaction  

	.globl	pthread_sigreturn
pthread_sigreturn:
        addl    $4,%esp
        lcall   $0xf, $0
        1: ; .type  pthread_sigreturn ,@function ; .size  pthread_sigreturn ,1b -  pthread_sigreturn  
# 319 "opt.S" 2

# 1 "sco/sigprocmask.S" 1
 



























	.globl	pthread_sigprocmask
pthread_sigprocmask:
        movl    $0x2828,%eax
        lcall   $7, $0
	jae	.L10
        pushl %ebx; call $+5; 2: popl %ebx; addl $_GLOBAL_OFFSET_TABLE_+[.-2b], %ebx; movl errno@GOT(%ebx), %edx; movl %eax, (%edx); movl $-1,%eax; popl %ebx 
.L10:
	ret
        1: ; .type  pthread_sigprocmask ,@function ; .size  pthread_sigprocmask ,1b -  pthread_sigprocmask  

# 320 "opt.S" 2

# 1 "sco/sigsetjmp.S" 1
 



























 











	.globl	setjmp
setjmp:
        movl    4(%esp),%eax
        movl    %ebx,0(%eax)
        movl    %esi,4(%eax)
        movl    %edi,8(%eax)
        movl    %ebp,12(%eax)
        popl    %edx
        movl    %esp,16(%eax)
        movl    %edx,20(%eax)
        subl    %eax,%eax
        jmp     *%edx
        1: ; .type  setjmp ,@function ; .size  setjmp ,1b -  setjmp  

	.globl	sigsetjmp
sigsetjmp:
	movl	4(%esp),%eax
        movl    $0,24(%eax)
        cmpl    $0,8(%esp)
        je      1f

	pushl	%ebx

        movl    $1,24(%eax)
        addl    $28,%eax
        pushl   %eax
        pushl   $0
        pushl   $0

	call	.L1
.L1:
	popl	%ebx
	addl    $_GLOBAL_OFFSET_TABLE_+[.-.L1],%ebx
        call    sigprocmask@PLT



        addl    $12,%esp

	popl	%ebx

1:      movl    4(%esp),%eax
        movl    %ebx,0(%eax)
        movl    %esi,4(%eax)
        movl    %edi,8(%eax)
        movl    %ebp,12(%eax)
        popl    %edx
        movl    %esp,16(%eax)
        movl    %edx,20(%eax)
        subl    %eax,%eax
        jmp     *%edx
        1: ; .type  sigsetjmp ,@function ; .size  sigsetjmp ,1b -  sigsetjmp  

	.globl	pthread_sigsetjmp
pthread_sigsetjmp:
	movl	4(%esp),%eax
        movl    $0,24(%eax)
        cmpl    $0,8(%esp)
        je      1f

	pushl	%ebx

        movl    $1,24(%eax)
        addl    $28,%eax
        pushl   %eax
        pushl   $0
        pushl   $0

	call	.L2
.L2:
	popl	%ebx
	addl    $_GLOBAL_OFFSET_TABLE_+[.-.L2],%ebx
        call    sigprocmask@PLT



        addl    $12,%esp

	popl	%ebx

1:      movl    4(%esp),%eax
        movl    %ebx,0(%eax)
        movl    %esi,4(%eax)
        movl    %edi,8(%eax)
        movl    %ebp,12(%eax)
	cmpl	$0,12(%esp)
	je	2f
	fnsave	32(%eax)
2:
        popl    %edx
        movl    %esp,16(%eax)
        movl    %edx,20(%eax)
        subl    %eax,%eax
        jmp     *%edx
        1: ; .type  pthread_sigsetjmp ,@function ; .size  pthread_sigsetjmp ,1b -  pthread_sigsetjmp  

	.globl	longjmp
longjmp:
        movl    4(%esp),%edx
        movl    8(%esp),%eax
        movl    0(%edx),%ebx
        movl    4(%edx),%esi
        movl    8(%edx),%edi
        movl    12(%edx),%ebp
        movl    16(%edx),%esp
	testl	%eax,%eax
	jnz	1f
	incl	%eax
1:	jmp     *20(%edx)
	1: ; .type  longjmp ,@function ; .size  longjmp ,1b -  longjmp  

	.globl	siglongjmp
siglongjmp:
	pushl   %ebp
	movl	%esp, %ebp
	movl	8(%ebp), %edx
	cmpl	$0, 24(%edx)
	jz	1f

	pushl	%ebx

        pushl   $0
        addl    $28,%edx
        pushl   %edx
        pushl   $0

	call	.L3
.L3:
	popl	%ebx
	addl    $_GLOBAL_OFFSET_TABLE_+[.-.L3],%ebx
	call	sigprocmask@PLT



        addl    $12,%esp

	popl	%ebx

1:

	pushl	%ebx

	pushl	12(%ebp)
	pushl	8(%ebp)

	call	.L31
.L31:
	popl	%ebx
	addl    $_GLOBAL_OFFSET_TABLE_+[.-.L31],%ebx
	call    longjmp@PLT



        addl    $8,%esp

	popl	%ebx

        movl    %ebp, %esp
        popl    %ebp
        ret
        1: ; .type  siglongjmp ,@function ; .size  siglongjmp ,1b -  siglongjmp  

	.globl pthread_siglongjmp
pthread_siglongjmp:
	pushl   %ebp
	movl	%esp, %ebp
	movl	8(%ebp), %edx
	cmpl	$0, 24(%edx)
	jz	1f

	pushl	%ebx

        pushl   $0
        addl    $28,%edx
        pushl   %edx
        pushl   $0

	call	.L4
.L4:
	popl	%ebx
	addl    $_GLOBAL_OFFSET_TABLE_+[.-.L4],%ebx
	call	sigprocmask@PLT



        addl    $12,%esp

	popl	%ebx

1:
	cmpl	$0, 16(%ebp)
	jz	2f
	movl	8(%ebp), %edx
	frstor	32(%edx)
2:

	pushl	%ebx

	pushl	12(%ebp)
	pushl	8(%ebp)

	call	.L5
.L5:
	popl	%ebx
	addl    $_GLOBAL_OFFSET_TABLE_+[.-.L5],%ebx
	call    longjmp@PLT



        addl    $8,%esp

	popl	%ebx

        movl    %ebp, %esp
        popl    %ebp
        ret
        1: ; .type  pthread_siglongjmp ,@function ; .size  pthread_siglongjmp ,1b -  pthread_siglongjmp  
# 321 "opt.S" 2

# 1 "sco/sigsuspend.S" 1
 



























	.globl	pthread_sigsuspend
pthread_sigsuspend:
        movl    $0x2a28,%eax
        lcall   $7, $0
	jae	1f
        pushl %ebx; call $+5; 2: popl %ebx; addl $_GLOBAL_OFFSET_TABLE_+[.-2b], %ebx; movl errno@GOT(%ebx), %edx; movl %eax, (%edx); movl $-1,%eax; popl %ebx 
1:
	ret
        1: ; .type  pthread_sigsuspend ,@function ; .size  pthread_sigsuspend ,1b -  pthread_sigsuspend  

# 322 "opt.S" 2

# 1 "sco/io.S" 1
 



























	.text
	.align  2

	.globl	pthread_sys_read  
pthread_sys_read  :
        movl    $3,%eax
        lcall   $7, $0
	jae	.L1
	pushl %ebx; call $+5; 2: popl %ebx; addl $_GLOBAL_OFFSET_TABLE_+[.-2b], %ebx; movl errno@GOT(%ebx), %edx; movl %eax, (%edx); movl $-1,%eax; popl %ebx 
.L1:
	ret
        1: ; .type pthread_sys_read   ,@function ; .size pthread_sys_read   ,1b - pthread_sys_read    

	.globl pthread_sys_write  
pthread_sys_write  :
        movl    $4,%eax
        lcall   $7, $0
	jae	.L2
	pushl %ebx; call $+5; 2: popl %ebx; addl $_GLOBAL_OFFSET_TABLE_+[.-2b], %ebx; movl errno@GOT(%ebx), %edx; movl %eax, (%edx); movl $-1,%eax; popl %ebx 
.L2:
	ret
        1: ; .type pthread_sys_write   ,@function ; .size pthread_sys_write   ,1b - pthread_sys_write    

	.globl pthread_sys_ioctl  
pthread_sys_ioctl  :
        movl    $0x36,%eax
        lcall   $7, $0
	jae	.L3
	pushl %ebx; call $+5; 2: popl %ebx; addl $_GLOBAL_OFFSET_TABLE_+[.-2b], %ebx; movl errno@GOT(%ebx), %edx; movl %eax, (%edx); movl $-1,%eax; popl %ebx 
.L3:
	ret
        1: ; .type pthread_sys_ioctl   ,@function ; .size pthread_sys_ioctl   ,1b - pthread_sys_ioctl    

	.globl pthread_sys_select  
pthread_sys_select  :
        movl    $0x2428,%eax
        lcall	$7, $0
	jae	.L4
	pushl %ebx; call $+5; 2: popl %ebx; addl $_GLOBAL_OFFSET_TABLE_+[.-2b], %ebx; movl errno@GOT(%ebx), %edx; movl %eax, (%edx); movl $-1,%eax; popl %ebx 
.L4:
	ret
        1: ; .type pthread_sys_select   ,@function ; .size pthread_sys_select   ,1b - pthread_sys_select    

	.globl pthread_sys_poll  
pthread_sys_poll  :
        movl    $0x57,%eax
        lcall	$7, $0
	jae	.L5
	pushl %ebx; call $+5; 2: popl %ebx; addl $_GLOBAL_OFFSET_TABLE_+[.-2b], %ebx; movl errno@GOT(%ebx), %edx; movl %eax, (%edx); movl $-1,%eax; popl %ebx 
.L5:
	ret
        1: ; .type pthread_sys_poll   ,@function ; .size pthread_sys_poll   ,1b - pthread_sys_poll    

	.globl pthread_sys_getmsg  
pthread_sys_getmsg  :
	movl	$0x55,%eax
	lcall   $7, $0
	jae	.L6
	pushl %ebx; call $+5; 2: popl %ebx; addl $_GLOBAL_OFFSET_TABLE_+[.-2b], %ebx; movl errno@GOT(%ebx), %edx; movl %eax, (%edx); movl $-1,%eax; popl %ebx 
.L6:
	ret
        1: ; .type pthread_sys_getmsg   ,@function ; .size pthread_sys_getmsg   ,1b - pthread_sys_getmsg    
# 323 "opt.S" 2

# 1 "sco/wait.S" 1
 



























	.text
	.align  2

 


	.globl pthread_sys_waitpid  ;		
									
pthread_sys_waitpid  :
        .byte   0x9c
	popl	%eax
	orl	$0x8c4, %eax
	pushl	%eax
	.byte	0x9d
	movl	$7, %eax
	lcall	$7, $0
	jae	1f
        pushl %ebx; call $+5; 2: popl %ebx; addl $_GLOBAL_OFFSET_TABLE_+[.-2b], %ebx; movl errno@GOT(%ebx), %edx; movl %eax, (%edx); movl $-1,%eax; popl %ebx 
1:
	movl	8(%esp), %ecx
	test	%ecx,%ecx
	je	3f
	mov	%edx, (%ecx)
3:
	ret
	1: ; .type pthread_sys_waitpid   ,@function ; .size pthread_sys_waitpid   ,1b - pthread_sys_waitpid    
# 324 "opt.S" 2

















# 349 "opt.S"

